:root {
  --background-green: #e1ebdc;
  --bg: #0a0a0a;
  --btn-purple: #815cce;
  --red: #e45a27;
  --white: #ffffff;
  --shadow: 0 2px 2px rgb(0 0 0/0.5);
  --textgreen: #064e3b;
  --footer: #f1f5f8;
}

body {
  font-size: 1.2rem;
}

.hero {
  background-image: url(assets/borobudur.jpeg);
  background-size: cover;
  background-position: center;
  z-index: -1;
  position: relative;
  min-height: 100vh;
  /* filter: grayscale(); */
}

.hero h1 {
  font-size: 5rem;
  font-weight: bold;
  color: white;
  padding: 2rem;
  text-shadow: 4px 4px 25px rgba(0, 0, 0, 0.7);
}

.hero p {
  color: white;
  text-shadow: 4px 4px 10px rgba(0, 0, 0, 0.7);
}

.navbar {
  background-color: white;
  transition: background-color 0.4s ease;
}

.navbar-scrolled {
  background-color: rgba(209, 211, 212, 0.421) !important;
  backdrop-filter: blur(4px);
}

.navbar ul {
  font-size: 16px;
}

.hero h1,
.profil {
  font-family: "Playfair Display", serif;
}

.hero h2,
.profil h2,
.layanan h2,
.layanan h2,
.berita h2,
.artikel h2,
.keagamaan h2,
.kontak h2 {
  color: var(--textgreen);
  font-family: "Playfair Display", serif;
  font-size: 5rem;
  font-weight: bold;
  margin-bottom: 1rem;
  margin-top: 4rem;
}

.profil p,
.layanan p,
.layanan p,
.berita p,
.keagamaan p,
.kontak p {
  color: var(--textgreen);
  font-family: "source sans 3", sans-serif;
  font-size: 1rem;
  font-weight: 300;
  margin-bottom: 3rem;
}

.profil {
  background-color: var(--background-green);
  padding-bottom: 80px;
}

.profil h3 {
  margin-top: 3rem;
  font-size: 3rem;
  font-weight: bold;
  color: var(--red);
}

.profil ul {
  margin-bottom: 3rem;
  font-size: 1.5rem;
  font-weight: bold;
}

.profil img {
  width: 768px;
  object-fit: cover;
  border: 8px solid var(--background-green);
  border-radius: 8px;
}

.layanan {
  padding: 80px;
}

.layanan a {
  color: #40513b;
  font-family: "source sans 3", sans-serif;
  font-size: 18px;
  font-weight: 400;
}

.layanan .card {
  border: none;
  margin-bottom: 2rem;
  margin-left: 2rem;
  margin-right: 2rem;
}

.layanan .modal-content h5 {
  font-family: "source sans 3", sans-serif;
  color: var(--textgreen);
  font-size: 18px;
  font-weight: bold;
}

.layanan .modal-content a {
  font-family: "source sans 3", sans-serif;
  color: var(--textgreen);
  font-size: 18px;
  font-weight: 400;
}

.layanan .modal-content a:hover {
  font-family: "source sans 3", sans-serif;
  color: var(--bg);
  font-size: 18px;
  font-weight: 400;
}

/* .keagamaan a {
  color: #40513b;
  font-family: "source sans 3", sans-serif;
  font-size: 18px;
  font-weight: 400;
}

.keagamaan .card {
  margin-bottom: 2rem;
  margin-left: 2rem;
  margin-right: 2rem;
} */

.kontak .hubungi h5 {
  color: var(--textgreen);
  font-family: "source sans 3", sans-serif;
  font-size: 1.2rem;
  font-weight: 300;
}

.kontak .hubungi {
  padding: 2rem;
}

.kontak .hubungi .btn {
  background-color: var(--btn-purple);
  color: white;
}

.footer {
  margin-top: 30px;
  margin-bottom: 30px;
  color: var(--textgreen);
  font-size: small;
  padding: 15px;
  background-color: var(--footer);
}

.footer .informasi {
  padding: 25px;
}

.footer a {
  color: var(--textgreen);
}

.footer a:hover {
  color: var(--bg);
}

.footer .social-media {
  position: relative;
  text-align: center;
}

.footer .social-media a {
  margin-right: 0.5rem;
  position: relative;
  text-align: center;
}

.footer .bimas {
  margin-top: 10px;
  margin-bottom: 25px;
}

.berita,
.artikel {
  margin-bottom: 50px;
}

.berita h2,
.artikel h2 {
  margin-bottom: 3rem;
}

.berita .card {
  margin-bottom: 2rem;
  margin-left: 2rem;
  margin-right: 2rem;
}

.berita .btn,
.artikel .btn {
  background-color: var(--background-green);
  color: var(--bg);
  border: none;
}

.berita .btn:hover,
.artikel .btn:hover {
  background-color: var(--textgreen);
  color: var(--white);
  border: none;
}

.berita-full h2 {
  margin-bottom: 2rem;
}

.artikel .isi {
  padding: 25px;
}
.artikel h3 {
  font-size: 20px;
  font-family: "source sans 3", sans-serif;
}

.artikel p {
  font-size: 18px;
  font-family: "source sans 3", sans-serif;
  text-align: justify;
}

.berita-full .artikel-full {
  padding: 3rem;
}

.berita-full h2,
.artikel-full h2 {
  color: var(--textgreen);
  font-family: "Playfair Display", serif;
  font-size: 2rem;
  font-weight: bold;
  padding-left: 3rem;
  padding-right: 3rem;
}

.berita-full p,
.artikel-full p {
  font-size: 16px;
  font-family: "source sans 3", sans-serif;
  color: var(--textgreen);
  padding: 3rem;
  text-align: justify;
}

/* Berita  */
.berita-home .opini {
  background-color: var(--footer);
}

.berita-home h2 {
  color: var(--textgreen);
  font-family: "Playfair Display", serif;
  font-size: 5rem;
  font-weight: bold;
  margin-bottom: 1rem;
  margin-top: 4rem;
}

.berita-home h3 {
  color: var(--textgreen);
  font-size: 2rem;
  font-family: "source sans 3", sans-serif;
}

.berita-home h6 {
  color: #40513b;
  font-family: "source sans 3", sans-serif;
  font-size: 18px;
  font-weight: 400;
}

.berita-home small {
  color: var(--textgreen);
  font-family: "source sans 3", sans-serif;
  font-size: 1rem;
  font-weight: 300;
}

.berita-home p {
  color: var(--textgreen);
  font-family: "source sans 3", sans-serif;
  font-size: 1rem;
  font-weight: 300;
  margin-bottom: 3rem;
}

.btn-no-round {
  border-radius: 0 !important;
  padding: 0.5rem 1.25rem;
  font-weight: 500;
  /* text-transform: uppercase; */
}

.btn-plain-link {
  color: var(--textgreen); /* warna hijau Bootstrap (text-success) */
  text-decoration: none;
  font-weight: 500;
  transition: color 0.2s ease;
}

.btn-plain-link:hover {
  color: var(--textgreen); /* warna hijau lebih gelap saat hover */
}

.btn-plain-link:focus,
.btn-plain-link:active {
  outline: none;
  box-shadow: none;
  background-color: transparent;
  border: none;
}

.list-group-item {
  border: none;
  border-bottom: 1px solid #dee2e6;
  /* padding: 1rem 1rem; */
  background-color: transparent;
}

.list-group-item:hover {
  border: none;
  border-bottom: 1px solid #dee2e6;
  /* padding: 1rem 1rem; */
  background-color: transparent;
}

.berita img {
  height: 200px;
  object-fit: cover;
  width: 100%;
}

.layanan {
  background-color: var(--footer);
}

.layanan .card {
  background-color: transparent;
}

.berita-full img {
  width: 60%;
  aspect-ratio: 16 / 9;
  object-fit: cover;
  border-radius: 12px;
}

.fade-in {
  opacity: 0;
  transform: translateY(20px);
  animation: fadeInUp 1s ease forwards;
}

@keyframes fadeInUp {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* Style Color Hero */
.multi-color-text span {
  display: inline-block;
}

.red {
  color: red;
}

.animated-img {
  animation: float 4s ease-in-out infinite;
}

@keyframes float {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(-20px);
  }

  100% {
    transform: translateY(0px);
  }
}

/* Style Moving Text Hero */
.moving-text {
  animation: floatText 3s ease-in-out infinite;
  display: inline-block;
  font-size: 2rem;
  font-weight: bold;
  color: #dc3545;
}

@keyframes floatText {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-15px);
  }

  100% {
    transform: translateY(0);
  }
}

/* Laptop */
@media (max-width: 992px) {
  html {
    font-size: 90%;
  }
}

/* Tablet */
@media (max-width: 768px) {
  html {
    font-size: 80%;
  }

  .navbar .navbar-brand {
    font-weight: bold;
    margin-left: -18rem;
  }
}

/* Handphone */
@media (max-width: 576px) {
  html {
    font-size: 60%;
  }

  .navbar .navbar-brand {
    font-weight: bold;
    margin-left: -15rem;
  }

  .profil img {
    width: 80%;
    height: 80%;
    object-fit: cover;
    border: none;
  }
}
